>From b099b5965f0366bc6db33ae057164bd77771f72f Mon Sep 17 00:00:00 2001
From: Erwan Tulou <erwan10@videolan.org>
Date: Wed, 10 Feb 2010 11:44:36 +0100
Subject: [PATCH] Win32: correct uri problem on Windows

fix regression brought by 07e20e1bc586913a1c887f55ab1f5ec357f9fbef

The original name must not be altered as it directly references the uri
of an item. Rather alter the duplicated value.
---
 src/input/subtitles.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/src/input/subtitles.c b/src/input/subtitles.c
index f47777c..8064db5 100644
--- a/src/input/subtitles.c
+++ b/src/input/subtitles.c
@@ -272,15 +272,16 @@ char **subtitles_Detect( input_thread_t *p_this, char *psz_path,
             psz_name_org += 9;
     }
 
-#if (DIR_SEP_CHAR != '/')
-        /* Turn slashes into anti-slashes */
-        for( char *s = strchr( psz_name_org, '/' ); s; s = strchr( s + 1, '/' ) )
-            *s = DIR_SEP_CHAR;
-#endif
     char *psz_fname = decode_URI_duplicate( psz_name_org );
     if( !psz_fname )
         return NULL;
 
+#if (DIR_SEP_CHAR != '/')
+    /* Turn slashes into anti-slashes */
+    for( char *s = strchr( psz_fname, '/' ); s; s = strchr( s + 1, '/' ) )
+       *s = DIR_SEP_CHAR;
+#endif
+
     /* extract filename & dirname from psz_fname */
     tmp = strrchr( psz_fname, DIR_SEP_CHAR );
     if( tmp )
-- 
1.5.6.5

